twitter4j

## Interface AccountSettings

All Superinterfaces:
  Serializable, TwitterResponse

    public interface AccountSettings
    extends TwitterResponse, Serializable

Since:
  Twitter4J 2.1.9
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAllowDmsFrom()` Returns if the user can accept DMs from anyone
`String` `getLanguage()` Returns the language used to render Twitter's UII for this user.
`String` `getScreenName()` Returns the user's screen name
`String` `getSleepEndTime()` Returns sleep end time.
`String` `getSleepStartTime()` Returns sleep start time.
`TimeZone` `getTimeZone()` Returns the timezone configured for this user.
`Location[]` `getTrendLocations()` Return the user's trend locations
`boolean` `isAlwaysUseHttps()` Returns true if the wants to always access twitter using HTTPS.
`boolean` `isDiscoverableByEmail()` Returns true if the user is discoverable by email.
`boolean` `isGeoEnabled()` Return true if the user is enabling geo location
`boolean` `isSleepTimeEnabled()` Returns true if the user enabled sleep time.

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### isSleepTimeEnabled

    boolean isSleepTimeEnabled()

Returns true if the user enabled sleep time.

Returns:
  true if the user enabled sleep time

#### getSleepStartTime

    String getSleepStartTime()

Returns sleep start time.

Returns:
  sleep start time

#### getSleepEndTime

    String getSleepEndTime()

Returns sleep end time.

Returns:
  sleep end time

#### getTrendLocations

    Location[] getTrendLocations()

Return the user's trend locations

Returns:
  the user's trend locations

#### isGeoEnabled

    boolean isGeoEnabled()

Return true if the user is enabling geo location

Returns:
  true if the user is enabling geo location

#### getTimeZone

    TimeZone getTimeZone()

Returns the timezone configured for this user.

Returns:
  the timezone (formated as a Rails TimeZone name)

#### getLanguage

    String getLanguage()

Returns the language used to render Twitter's UII for this user.

Returns:
  the language ISO 639-1 representation

#### isDiscoverableByEmail

    boolean isDiscoverableByEmail()

Returns true if the user is discoverable by email.

Returns:
  true if the user is discoverable by email

#### isAlwaysUseHttps

    boolean isAlwaysUseHttps()

Returns true if the wants to always access twitter using HTTPS.

Returns:
  true if the wants to always access twitter using HTTPS

#### getScreenName

    String getScreenName()

Returns the user's screen name

Returns:
  the user's screen name
Since:
  Twitter4J 3.0.5

#### getAllowDmsFrom

    String getAllowDmsFrom()

Returns if the user can accept DMs from anyone

Returns:
  all if allowed by anyone, followers if friends only
Since:
  Twitter4J 4.0.7